%global pypiname	ripe.atlas.tools

%global deps_py3	python3-dateutil python3-requests python3-ripe-atlas-cousteau python3-ripe-atlas-sagan python3-tzlocal python3-PyYAML python3-pyOpenSSL
%global deps_extra_py3	python3-ujson
%global deps_tests_py3	python3-nose python3-coverage python3-mock

# unused
%global deps_py2	python-dateutil python2-requests python2-ripe-atlas-cousteau python2-ripe-atlas-sagan python-tzlocal PyYAML pyOpenSSL
%global deps_extra_py2	python2-ujson
%global deps_tests_py2	python2-nose python2-coverage python-mock

Name:		ripe-atlas-tools
Version:	1.2.2
Release:	2%{?dist}
Summary:	The official command line client for RIPE Atlas

License:	GPLv3
URL:		https://pypi.python.org/pypi/%{pypiname}/
Source0:	https://pypi.python.org/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_extra_py3 %deps_tests_py3
Requires:	%deps_py3
Recommends:	%deps_extra_py3

%description
The official command line client for RIPE Atlas.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# the unit tests fail on current Fedora, ignore result
%__python3 setup.py check nosetests || :

%files
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/adig
%{_bindir}/ahttp
%{_bindir}/antp
%{_bindir}/aping
%{_bindir}/asslcert
%{_bindir}/atraceroute
%{_bindir}/ripe-atlas

%changelog
* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.2.2-2
- include Python 3 library in the main package
- remove Python 2 library

* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.2.2-1
- new upstream release
- change project URL to PyPI
- enable unit tests, but ignore their result

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> 1.2.1-1
- initial package
